<?xml version="1.0"?>
<xsl:stylesheet version="1.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns="http://www.w3.org/1999/xhtml">
  <xsl:template match="/">
    <html>
      <head><title>Comments</title></head>
      <body>
        <xsl:apply-templates select="//Comment">
          <xsl:sort select="../OrderDate" order="descending" />
        </xsl:apply-templates>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="Comment">
    <h1><xsl:value-of select="../CustomerID" /></h1>
    <!-- <p>On <xsl:value-of select="../OrderDate" /></p> -->
    <xsl:copy-of select="*[namespace-uri() eq 'http://www.w3.org/1999/xhtml']" />
  </xsl:template>
</xsl:stylesheet>
