<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/">
    <customers>
      <xsl:apply-templates select="Root/Customers/Customer" />
    </customers>
  </xsl:template>

  <xsl:template match="Customer">
    <xsl:variable name="id" select="@CustomerID" />
    <customer id="{$id}">
      <xsl:attribute name="orders">
        <xsl:value-of select="count(//Order[CustomerID eq $id])" />
      </xsl:attribute>
    </customer>
  </xsl:template>
</xsl:stylesheet>
